<?php

namespace SuperRhino\Utils\Logger;

abstract class LoggerAdapter {

    /**
     * @return \Psr\Log\LoggerInterface
     */
    abstract public function getLogger();

    public function __call($name, $arguments) {
        $logger = $this->getLogger();
        return call_user_func_array([$logger, $name], $arguments);
    }
}